Subject: Re: [PATCH] prompt: fix show upstream with svn and zsh

From: SZEDER Gábor <[email-masked]>
Date: Tue, 28 May 2013 12:30:50 +0200

Hi,

On Wed, May 22, 2013 at 09:32:44AM +0200, Thomas Gummerer wrote:
> SZEDER Gábor <[email-masked]> writes:
> > On Tue, May 21, 2013 at 10:54:27PM +0200, Thomas Gummerer wrote:
> >> -			svn_remote[ $((${#svn_remote[@]} + 1)) ]="$value"
> >> +			svn_remote[$((${#svn_remote[@]} + 1))]="$value"
> >
> > I mean, did zsh really complained because of the space after the '[' ?!
> 
> Yes, removing the spaces after the '[' fixes the problem.  I'm not very
> proficient in shell scripting, so I can't tell if there is another
> cause.

Thanks.  I first suspected that this was just an independent style
cleanup, that's why I asked for clarification.

Gábor